# Uses of Enum Class
com.logicaldoc.core.folder.FolderEvent

Packages that use FolderEvent
Package
Description
com.logicaldoc.core.folder
Contains the definitions of `Folder` as well as other related objects

## Uses of FolderEvent in com.logicaldoc.core.folder

Methods in com.logicaldoc.core.folder that return FolderEvent
Modifier and Type
Method
Description
`static FolderEvent`
FolderEvent.`fromKey(String key)`
Gets the right enumeration entry from the corresponding resource bundle key
`FolderEvent`
FolderHistory.`getEventEnum()`
`static FolderEvent`
FolderEvent.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FolderEvent[]`
FolderEvent.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.logicaldoc.core.folder with parameters of type FolderEvent
Modifier and Type
Method
Description
`void`
FolderHistory.`setEvent(FolderEvent event)`